- Qt 6.8
- Qt Core
- C++ Classes
- QStaticPlugin
- Qt 6.8.3 Reference Documentation

# QStaticPlugin Struct

QStaticPlugin is a struct containing a reference to a static plugin instance together with its meta data. More...

Header: | `#include <QStaticPlugin>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Core)` `target_link_libraries(mytarget PRIVATE Qt6::Core)`
qmake: | `QT += core`

- List of all members, including inherited members

## Public Functions

QJsonObject | metaData() const

## Public Variables

QtPluginInstanceFunction | instance

## Detailed Description

See also QPluginLoader and How to Create Qt Plugins.

## Member Function Documentation

### QJsonObject QStaticPlugin::metaData() const

Returns a the meta data for the plugin as a QJsonObject.

See also Q_PLUGIN_METADATA().

## Member Variable Documentation

### QtPluginInstanceFunction QStaticPlugin::instance

Holds the plugin instance.

See also QPluginLoader::staticInstances().